LANGUAGE_EXTENSIONS = {
    "Python": [".py", ".pyc", ".pyd", ".pyo", ".pyw", ".pyx"],
    "C": [".c", ".h"],
    "C++": [".cpp", ".cc", ".cxx", ".hpp", ".h", ".hxx"],
    "Java": [".java", ".jar"],
    "JavaScript": [".js"],
    "HTML": [".html", ".htm"],
    "CSS": [".css"],
    "PHP": [".php"],
    "Ruby": [".rb"],
    "Swift": [".swift"],
    "Kotlin": [".kt", ".kts"],
    "Go": [".go"],
    "Rust": [".rs"],
    "SQL": [".sql"],
    "Shell": [".sh"],
    "Perl": [".pl"],
    "Scala": [".scala"],
    "TypeScript": [".ts"],
    "Lua": [".lua"],
    "C#": [".cs"],
    "Objective-C": [".m"],
    "R": [".r"],
    "Dart": [".dart"],
    "Haskell": [".hs"],
    "Julia": [".jl"],
    "MATLAB": [".m"],
    "Erlang": [".erl"],
    "Groovy": [".groovy"],
    "Clojure": [".clj", ".cljs"],
    "F#": [".fs", ".fsx"],
    "VBA": [".vba"],
    "VBScript": [".vbs"],
    "TeX": [".tex"],
    "Assembly": [".asm", ".s"],
    "OCaml": [".ml", ".mli"],
    "ActionScript": [".as"],
    "Pascal": [".pas"],
    "Scheme": [".scm", ".ss"],
    "D": [".d"],
    "Ada": [".ada", ".adb", ".ads"],
    "Prolog": [".pl", ".pro"],
    "COBOL": [".cob", ".cbl"],
    "Forth": [".forth", ".fth", ".fs"],
    "Verilog": [".v", ".vh", ".sv", ".svh"],
    "VHDL": [".vhd", ".vhdl"],
    "Lisp": [".lisp", ".lsp"],
    "Smalltalk": [".st"],
    "Fortran": [".f", ".for", ".f90", ".f95"],
    "PowerShell": [".ps1"],
    "Elixir": [".ex", ".exs"],
    "Ada": [".ada", ".adb", ".ads"],
    "ABAP": [".abap"],
    "Batch": [".bat", ".cmd"],
    "CMake": [".cmake"],
    "CoffeeScript": [".coffee"],
    "Crystal": [".cr"],
    "Dylan": [".dylan", ".dyl", ".intr", ".lid"],
    "Eiffel": [".e"],
    "Elm": [".elm"],
    "Erlang": [".erl", ".hrl"],
    "F#": [".fs", ".fsi", ".fsx", ".fsscript"],
    "Forth": [".fth", ".4th", ".f"],
    "Freemarker": [".ftl"],
    "Fortran": [".f90", ".f95", ".f03", ".f08"],
    "GDScript": [".gd"],
    "Gosu": [".gs"],
    "GraphQL": [".graphql", ".gql"],
    "Groovy": [".groovy", ".grt", ".gtpl", ".gvy"],
    "HTML": [".html", ".htm", ".shtml"],
    "IDL": [".idl"],
    "Idris": [".idr", ".lidr"],
    "JSON": [".json"],
    "Java": [".java", ".properties", ".jsp", ".jspx", ".wss", ".wssx"],
    "Kotlin": [".kt", ".kts", ".ktm", ".ktt"],
    "LLVM": [".ll"],
    "Lasso": [".lasso", ".lasso8", ".las", ".lasso9", ".ldml"],
    "MATLAB": [".m"],
    "Makefile": [".mk", ".mak", ".make", ".mkfile"],
    "Markdown": [".md", ".markdown", ".mkd"],
    "Max": [".maxpat", ".maxhelp", ".maxproj", ".maxpresets", ".mxt"],
    "Nim": [".nim", ".nimble"],
    "Nix": [".nix"],
    "OCaml": [".ml", ".mli", ".mll", ".mly"],
    "Objective-C": [".m", ".h"],
    "OpenEdge": [".p"],
    "Pascal": [".pas", ".p"],
    "Perl": [".pl", ".pm", ".t"],
    "PHP": [".php", ".phpt", ".php3", ".php4", ".php5", ".phps", ".phtml"],
    "PLSQL": [".plsql", ".pck", ".pkb", ".pks"],
    "Pascal": [".pas", ".pp", ".dpr", ".dfm", ".lpr", ".lpk"],
    "Pawn": [".p", ".pwn"],
    "PureScript": [".purs"],
    "Python": [".py", ".pyw", ".pyc", ".pyd"],
    "QML": [".qml", ".qbs", ".qbsqmldir"],
    "Racket": [".rkt", ".rktl", ".scrbl"],
    "Reason": [".re"],
    "Red": [".red", ".reds"],
    "Regular": [".regex", ".regexp", ".rg", ".rpl", ".re"],
    "Ring": [".ring"],
    "Ruby": [".rb", ".rhtml", ".rjs", ".gemspec", ".podspec", ".thor", ".irbrc", ".capfile", ".gemrc", ".ru", ".prawn", ".prawnx"],
    "Rust": [".rs", ".rlib", ".toml"],
    "SQL": [".sql", ".ddl", ".dml", ".dcl", ".dtl", ".sqlj"],
    "Scala": [".scala", ".sc"],
    "Shell": [".sh", ".bash", ".zsh", ".fish"],
    "Solidity": [".sol"],
    "Standard": [".stg"],
    "Stylus": [".styl"],
    "SuperCollider": [".sc", ".scd"],
    "Swift": [".swift"],
    "TeX": [".tex"],
    "Toml": [".toml"],
    "TypeScript": [".ts", ".tsx"]}